GuidesAPI Reference
Guides

How to get data for one or multiple charging locations

This tutorial provides instructions on how to use the HERE EV Charge Points API v3 to retrieve data for a single or multiple charging locations.

Prerequisites

Before you start, complete HERE platform onboarding and obtain application credentials. To learn more, see the Get started topic.

Find charging locations

To find EV charging locations, use the HERE Geocoding and Search API v7. For example, the browse endpoint supports setting a set of HERE Places categories in the request.

The relevant HERE Places categories are:

  • 700-7600-0322 : EV charging location for cars
  • 700-7600-0323 : EV charging location for trucks
  • 700-7600-0324 : EV charging location for 2-wheelers and light vehicles
📘

Note

EV truck-related information requires adding a separate license to your subscription. To obtain this license, contact your HERE Account Executive.

For links to the documentation on the EV features in the HERE Geocoding and Search API v7, see Tutorials on Search. For further technical details, see the HERE Geocoding and Search API v7 API reference.

HTTP call to the endpoint

If your HERE Geocoding and Search API v7 request has returned the location id: 246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz, you can use it for your HERE EV Charge Points API v3 request. To get the respective location from the HERE EV Charge Points API v3, send this request:

GET /v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz
Host: evcp.hereapi.com
User-Agent: curl/8.6.0
Accept: application/json
Authorization: Bearer ACCESS_TOKEN

Get EV data for a given ID

The following command requests the EV data for the location id: 246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz and formats the response with jq:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz" | jq

Response

{
  "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
  "location": {
    "lat": 61.493773,
    "lng": 23.820261
  },
  "supportedVehicles": [
    "car"
  ],
  "name": "K-Lataus",
  "operator": {
    "name": "K-Lataus",
    "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
    "website": "https://k-lataus.fi/"
  }
}

To request EV data for multiple locations, ids: [246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz, 246udbvy413fw-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyNDI4MTEx], call:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations?ids=246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz,246udbvy413fw-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyNDI4MTEx" | jq

Response

Note that in case you ask for more than one location, the response specifies the locations as elements in the array items.

{
  "items": [
    {
      "id": "here:evcp:charginglocation:246udbvy413fw-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyNDI4MTEx",
      "location": {
        "lat": 61.491538,
        "lng": 23.821013
      },
      "supportedVehicles": [
        "car",
        "truck"
      ],
      "name": "ABC-lataus",
      "operator": {
        "name": "ABC-lataus",
        "partnerId": "fad11a0c-e09c-11ed-91cb-42010aa40002"
      }
    },
    {
      "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
      "location": {
        "lat": 61.493773,
        "lng": 23.820261
      },
      "supportedVehicles": [
        "car"
      ],
      "name": "K-Lataus",
      "operator": {
        "name": "K-Lataus",
        "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
        "website": "https://k-lataus.fi/"
      }
    }
  ]
}

Get further details

You can get additional information by setting the fields parameter. For definitions of the supported fields values, see the API reference. For example, to get Electric Vehicle Supply Equipment (EVSE) details, set fields=evses in the request:

curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz?fields=evses" | jq

The request returns the EVSE details for the location id: 246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz. The response with the fields=evses parameter:

{
  "id": "here:evcp:charginglocation:246udbvy497hq-aGVyZS1ldjplY29tb3ZlbWVudDoyMDEyMTg1ODgz",
  "location": {
    "lat": 61.493773,
    "lng": 23.820261
  },
  "supportedVehicles": [
    "car"
  ],
  "name": "K-Lataus",
  "operator": {
    "name": "K-Lataus",
    "partnerId": "23e03006-cca5-11ed-91ab-42010aa40002",
    "website": "https://k-lataus.fi/"
  },
  "evses": [
    {
      "uid": "61012d39974e34d300daf902",
      "connectors": [
        {
          "id": "61012d39974e34d300daf902",
          "standard": "IEC_62196_T2_COMBO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 375,
          "maxPower": 150000
        }
      ],
      "status": "available",
      "modified": "2025-02-25T13:15:55Z",
      "evseId": "FI*KCH*7695",
      "physicalReference": "7695",
      "id": "here:evcp:evse:06c7f002d6c72a46c557de16ab56b12ebc28daf97dea4b4204f89a00fee49c19",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "60d049f75620ac3845d5cc2c",
      "connectors": [
        {
          "id": "60d049f75620ac3845d5cc2c",
          "standard": "IEC_62196_T2",
          "format": "socket",
          "powerType": "ac3Phase",
          "maxVoltage": 230,
          "maxCurrent": 16,
          "maxPower": 11000
        }
      ],
      "status": "available",
      "modified": "2025-02-25T13:59:36Z",
      "evseId": "FI*KCH*7529",
      "physicalReference": "7529",
      "id": "here:evcp:evse:4723299dbc7e72aad883cd476435d39f9adae594226905dca3c14fd7d5be6aea",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "60d41de176d170289517435a",
      "connectors": [
        {
          "id": "60d41de176d170289517435a",
          "standard": "IEC_62196_T2",
          "format": "socket",
          "powerType": "ac3Phase",
          "maxVoltage": 230,
          "maxCurrent": 16,
          "maxPower": 11000
        }
      ],
      "status": "available",
      "modified": "2025-02-25T06:33:11Z",
      "evseId": "FI*KCH*7547",
      "physicalReference": "7547",
      "id": "here:evcp:evse:9c0514b69854e38ed541bb6d5e8d8112c3001ac81117dcc5400b20a2fd2399e0",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "61012cf2c6edec8f60f1400d",
      "connectors": [
        {
          "id": "61012cf2c6edec8f60f1400d",
          "standard": "IEC_62196_T2_COMBO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 375,
          "maxPower": 150000
        }
      ],
      "status": "unknown",
      "modified": "2025-02-25T14:02:29Z",
      "evseId": "FI*KCH*7693",
      "physicalReference": "7693",
      "id": "here:evcp:evse:bb3c1fda2196af35255922ee905ca2e69d9dfdebed7356cab39d24c4e04563b2",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    },
    {
      "uid": "61012cf6fe193d7ed1d3b0d7",
      "connectors": [
        {
          "id": "61012cf6fe193d7ed1d3b0d7",
          "standard": "CHADEMO",
          "format": "cable",
          "powerType": "dc",
          "maxVoltage": 400,
          "maxCurrent": 125,
          "maxPower": 50000
        }
      ],
      "status": "charging",
      "modified": "2025-02-25T14:02:54Z",
      "evseId": "FI*KCH*7694",
      "physicalReference": "7694",
      "id": "here:evcp:evse:deb8d230c3acf81bf59856a5cfea400bff6ab98a3cda107bfcce0cfcc8228168",
      "paymentSupports": [
        "mobilePayment",
        "operatorApp",
        "rfidReader"
      ]
    }
  ]
}